Test Automation Software System Requirements | Rapise

System Requirements for Rapise

Rapise® is a desktop application which you install locally on your workstation to perform automated functional testing of applications, web sites, mobile apps and APIs.

The minimum hardware and software requirements for running Rapise are listed in the table below. If you have any questions regarding these requirements please contact us.

Requirement Minimum Specification
Processor: Windows workstation with Intel/AMD x86 or x64 processor equivalent
(Virtual Machines fully supported)
Memory: 1 GB minimum, 2 GB recommended
Disk Space: 500 MB
Display: XGA (1024 x 768)
Operating System: Windows 10
Windows 8 (32/64-bit)
Windows 7 (32/64-bit)
Windows Server 2016
Windows Server 2012 (R1/R2)
Windows Server 2008 (R1/R2)
Web Browsers: Internet Explorer 8.0 - 11.0
Mozilla Firefox
Google Chrome
Apple Safari
Microsoft Edge
Opera
GUI Testing: Java 1.4+
Visual Basic 6
.NET 1.1
.NET 2.0
.NET 3.5
.NET 4.0+
Microsoft Silverlight
Packaged Applications Microsoft Dynamics AX 2012 R3
Microsoft Dynamics CRM 2016
Microsoft Dynamics 365
Other Components: .NET Framework 4.0
Microsoft Visual C++ 2005 SP1 Runtime
Microsoft Primary Interoperability Assemblies 2005
SpiraTest v4.0+ (if using integration)
SpiraTeam v4.0+ (if using integration)
Microsoft Excel 2003+ (optional)